dnl
dnl Add macros
dnl	AC_PATH_XMT_DIRECT
dnl	AC_PATH_XMT
dnl

AC_DEFUN(AC_PATH_XMT_DIRECT,
[test -z "$xmt_direct_test_library" && xmt_direct_test_library=Xmt
test -z "$xmt_direct_test_function" && Xmt_direct_test_function=XmtCreateXmString
test -z "$xmt_direct_test_include" && xmt_direct_test_include=Xmt/Xmt.h
  for ac_dir in               \
    /usr/include/xmt          \
    /usr/xmt/include          \
                              \
    /usr/X11R6/include        \
    /usr/X11R5/include        \
                              \
    /usr/include/X11R6        \
    /usr/include/X11R5        \
                              \
    /usr/local/X11R6/include  \
    /usr/local/X11R5/include  \
                              \
    /usr/local/include/X11R6  \
    /usr/local/include/X11R5  \
                              \
    /usr/X11/include          \
    /usr/include/X11          \
    /usr/local/X11/include    \
    /usr/local/include/X11    \
                              \
    /usr/X386/include         \
    /usr/x386/include         \
    /usr/XFree86/include/X11  \
                              \
    /usr/dt/include           \
    /usr/openwin/include      \
    /opt/openwin/include      \
                              \
    /usr/include              \
    /usr/local/include        \
    /usr/unsupported/include  \
    /usr/athena/include       \
    /usr/local/x11r5/include  \
    /usr/lpp/Xamples/include  \
    ; \
  do
    if test -r "$ac_dir/$xmt_direct_test_include"; then
      no_xmt= ac_xmt_includes=$ac_dir
      break
    fi
  done

# Check for the libraries.
# See if we find them without any special options.
# Don't add to $LIBS permanently.
ac_save_LIBS="$LIBS"
LIBS="-l$xmt_direct_test_library $LIBS"
# First see if replacing the include by lib works.
for ac_dir in `echo "$ac_xmt_includes" | sed s/include/lib/` \
    /usr/lib/xmt          \
    /usr/xmt/lib          \
                          \
    /usr/X11R6/lib        \
    /usr/X11R5/lib        \
                          \
    /usr/lib/X11R6        \
    /usr/lib/X11R5        \
                          \
    /usr/local/X11R6/lib  \
    /usr/local/X11R5/lib  \
                          \
    /usr/local/lib/X11R6  \
    /usr/local/lib/X11R5  \
                          \
    /usr/X11/lib          \
    /usr/lib/X11          \
    /usr/local/X11/lib    \
                          \
    /usr/X386/lib         \
    /usr/x386/lib         \
    /usr/XFree86/lib/X11  \
                          \
    /usr/dt/lib           \
    /usr/openwin/lib      \
    /opt/openwin/lib      \
                          \
    /usr/lib              \
    /usr/local/lib        \
    /usr/unsupported/lib  \
    /usr/athena/lib       \
    /usr/local/x11r5/lib  \
    /usr/lpp/Xamples/lib  \
    ; \
do
  for ac_extension in a so sl; do
    if test -r $ac_dir/lib${xmt_direct_test_library}.$ac_extension; then
      no_xmt= ac_xmt_libraries=$ac_dir
      break 2
    fi
  done
done
LIBS=$ac_save_LIBS])

AC_DEFUN(AC_PATH_XMT,
[AC_REQUIRE_CPP()dnl

AC_ARG_WITH(xmt-includes, [  --with-xmt-includes=DIR     Xmt include files are in DIR])
if test -z "$with_xmt_includes"; then
  xmt_includes=NONE
else
  xmt_includes=$with_xmt_includes
fi
AC_ARG_WITH(xmt-libraries, [  --with-xmt-libraries=DIR    Xmt library files are in DIR])
if test -z "$with_xmt_libraries"; then
  xmt_libraries=NONE
else
  xmt_libraries=$with_xmt_libraries
fi

AC_MSG_CHECKING(for Xmt)
AC_ARG_WITH(xmt, [  --with-xmt            enable Xmt tests])
if test "x$with_xmt" = xno; then
  no_xmt=yes
else
  if test "x$xmt_includes" != xNONE && test "x$xmt_libraries" != xNONE; then
    no_xmt=
  else
AC_CACHE_VAL(ac_cv_path_xmt,
[# One or both of these vars are not set, and there is no cached value.
no_xmt=yes

    #
    # Let's try a test link. If it works this will avoid putting the
    # default paths onto the compile and link lines.
    #
    ac_save_libs="$LIBS"
    ac_save_cflags="$CFLAGS"
    ac_save_cppflags="$CPPFLAGS"
    LIBS="-lXm -lXmt $X_LIBS -lXt $X_PRE_LIBS -lX11 -lXext $X_EXTRA_LIBS $LIBS"
    CFLAGS="$X_CFLAGS $CFLAGS"
    CPPFLAGS="$X_CFLAGS $CPPFLAGS"

    AC_TRY_LINK([#include <Xmt/Xmt.h>],[XmtCreateXmString ("Andreas Theofilu");],
	[
	#
	# link passed, do nothing
	#
	no_xmt="no"
	xmt_includes=". $X_CFLAGS"
	xmt_libraries=". $X_LIBS"
	],
	#
	# link failed, go search for it
	#
	AC_PATH_XMT_DIRECT
	) dnl AC_TRY_LINK

    LIBS="$ac_save_libs"
    CFLAGS="$ac_save_cflags"
    CPPFLAGS="$ac_save_cppflags"

if test "$no_xmt" = yes; then
  ac_cv_path_xmt="no_xmt=yes"
else
  ac_cv_path_xmt="no_xmt= ac_xmt_includes=$ac_xmt_includes ac_xmt_libraries=$ac_xmt_libraries"
fi])dnl
  fi
  eval "$ac_cv_path_xmt"
fi # with_xmt != no

if test "$no_xmt" = yes; then
  AC_MSG_RESULT(no)
else
  test "x$xmt_includes" = xNONE && xmt_includes=$ac_xmt_includes
  test "x$xmt_libraries" = xNONE && xmt_libraries=$ac_xmt_libraries
  ac_cv_path_xmt="no_xmt= ac_xmt_includes=$xmt_includes ac_xmt_libraries=$xmt_libraries"
  AC_MSG_RESULT([libraries $xmt_libraries, headers $xmt_includes])
fi
])

dnl
dnl End of special macros.
dnl

